
#ifndef REMOVE_MC_TEST

#include "ucp2.h"
#include "ucp2_utils.h"
#include <Modulation.h>

//_DM2 int InputData000[10028] = {0};

_DM0 int InputData[] = {
  #include <TestInput256.dat>
};
//_DM0 int OutData0[27648]={0};
_DM2 int OutData[]={};
//_DM3 int ConfigModuQAM[2530] = {0};
_DM3 int ConfigModuQPSK[] = {
 #include "ConfigModuQPSK.dat"
};
_DM3 int ConfigModuQAM16[] = {
  #include "ConfigModuQAM16.dat"
};
_DM3 int ConfigModuQAM64[] = {
 #include "ConfigModuQAM64.dat"
};
_DM3 int ConfigModuQAM256[] = {
 #include "ConfigModuQAM256.dat"
};
_DM3 v16s32 SVRReg  = {
  0, 0, 0, 0,
  0x40, 0, 0, 0,
  0xff00ff, 0, 0, 0x0000,
  0xffff, 0x6, 0, 0
};

int main(void)
{
  volatile int a;


  int BitLen = 38400;
  int Qm = 8;

  Mudulation((int)ConfigModuQAM256,MPU_ADDR(InputData),MPU_ADDR(OutData),BitLen,Qm);
  SVRReg[0] = MPU_ADDR(ConfigModuQAM256);
  a = __ucps2_getStatB();
  __ucps2_delay();

  ModulationAsm(SVRReg);

  a = __ucps2_getStatB();
  __ucps2_delay();


  return a;
}

#endif
